get
/{tenantId}/v1/billing/credit-usageGet credit usage
Requires Authentication
Billing
Returns credit usage statistics
Path Parameters
| Name | Type | Description |
|---|---|---|
tenantIdrequired | string (uuid) | Tenant UUID |
Query Parameters
| Name | Type | Description |
|---|---|---|
dateFromrequired | string (date-time) | Start date (ISO 8601 format) |
dateTorequired | string (date-time) | End date (ISO 8601 format) |
timeZone | string | Timezone for date calculations (defaults to UTC)Default: UTC |
Responses
Credit usage
Response Bodyapplication/json
totalCreditsinteger (int64)
usageByProductarray
object[]productCodestring
productNamestring
creditsinteger (int64)
countinteger
Code Examples
curl -X GET 'https://api-next.checkio.co.uk/{tenantId}/v1/billing/credit-usage?dateFrom={dateFrom}&dateTo={dateTo}' \
-H 'Authorization: Bearer {token}'